<?php
/*
Widget Name: Music Store Sales Counter
Description: Inserts the sales counter shortcode.
Documentation: https://musicstore.dwbooster.com/documentation#music-store-shortcode
*/

class SiteOrigin_MusicStore_Counter extends SiteOrigin_Widget
{
	function __construct()
	{
		parent::__construct(
			'siteorigin-musicstore-counter',
			__('Music Store Sales Counter', MS_TEXT_DOMAIN),
			array(
				'description' 	=> __('Inserts the Sales Counter Shortcode', MS_TEXT_DOMAIN),
				'panels_groups' => array('music-store'),
				'help'        	=> 'https://musicstore.dwbooster.com/documentation#counter-shortcode'
			),
			array(),
			array(
				'style' => array(
					'type' 		=> 'radio',
					'label' 	=> __( 'Numbers Styles', MS_TEXT_DOMAIN ),
					'options' => array(
						__('Style One', MS_TEXT_DOMAIN),
						__('Style Two', MS_TEXT_DOMAIN)
					),
					'default'	=> 0,
				),
				'digits' => array(
					'type' 		=> 'number',
					'label'		=> __('Number of digits in the counter, default 3', MS_TEXT_DOMAIN),
					'default'	=> 3
				)
			),
			plugin_dir_path(__FILE__)
		);
	} // End __construct

	function get_template_name($instance)
	{
		return 'siteorigin-ms-counter-shortcode';
    } // End get_template_name

    function get_style_name($instance)
	{
        return '';
    } // End get_style_name

} // End Class SiteOrigin_MusicStore_Counter

// Registering the widget
siteorigin_widget_register('siteorigin-musicstore-counter', __FILE__, 'SiteOrigin_MusicStore_Counter');