<?php
/*
Widget Name: Music Store Products List
Description: Inserts the products list shortcode.
Documentation: https://musicstore.dwbooster.com/documentation#products-list-shortcode
*/

class SiteOrigin_MusicStore_Products_List extends SiteOrigin_Widget
{
	function __construct()
	{
		parent::__construct(
			'siteorigin-musicstore-products-list',
			__('Music Store Products List', MS_TEXT_DOMAIN),
			array(
				'description' 	=> __('Inserts the Products List shortcode', MS_TEXT_DOMAIN),
				'panels_groups' => array('music-store'),
				'help'        	=> 'https://musicstore.dwbooster.com/documentation#products-list-shortcode'
			),
			array(),
			array(
				'list_type' => array(
					'type' 		=> 'select',
					'label' 	=> __('List the products', MS_TEXT_DOMAIN),
					'options' => array(
						'new_products' 	=> __('New products', MS_TEXT_DOMAIN),
						'top_rated' 	=> __('Top rated products', MS_TEXT_DOMAIN),
						'top_selling' 	=> __('Most sold products', MS_TEXT_DOMAIN)
					),
					'default'	  => 'top_rated'
				),
				'number' => array(
					'type' 		=> 'number',
					'label'		=> __('Enter the number of products', MS_TEXT_DOMAIN),
					'default'	=> 3
				),
				'columns' => array(
					'type' 		=> 'number',
					'label'		=> __('Number of columns', MS_TEXT_DOMAIN),
					'default'	=> 2
				),
				'genres' => array(
					'type' 		=> 'text',
					'label' 	=> __( "Enter the genres' ids or slugs separated by comma to restrict the store's products to these genres. All genres by default.", MS_TEXT_DOMAIN ),
				),
				'artists' => array(
					'type' 		=> 'text',
					'label' 	=> __( "Enter the artists' ids or slugs separated by comma to restrict the store's products to these artists. All artists by default.", MS_TEXT_DOMAIN )
				),
				'albums' => array(
					'type' 		=> 'text',
					'label' 	=> __( "Enter the albums' ids or slugs separated by comma to restrict the store's products to these albums. All albums by default.", MS_TEXT_DOMAIN )
				)
			),
			plugin_dir_path(__FILE__)
		);
	} // End __construct

	function get_template_name($instance)
	{
        return 'siteorigin-ms-products-list-shortcode';
    } // End get_template_name

    function get_style_name($instance)
	{
        return '';
    } // End get_style_name

} // End Class SiteOrigin_MusicStore_Products_List

// Registering the widget
siteorigin_widget_register('siteorigin-musicstore-products-list', __FILE__, 'SiteOrigin_MusicStore_Products_List');